For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of payment schedules
      • POSTCreate a payment schedule
      • POSTInitialize resources for a payment schedule
      • GETGet a payment schedule by ID or reference
      • PATCHPatch a payment schedule.
      • POSTCancel a payment schedule
      • POSTPause a payment schedule
      • POSTActivate a payment schedule
  • Event API
LoginSandbox
Transaction APIPayment Schedules

Create a payment schedule

POST
/v:version/payment-schedules
POST
/v:version/payment-schedules
$curl -X POST https://api.solvimon.com/v1/payment-schedules \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "customer_id": "string",
> "reference": "string",
> "payment_method_id": "string",
> "billing_entity_id": "string",
> "type": "INSTALLMENTS"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "created_at": "string",
5 "updated_at": "string",
6 "status": "ACTIVE",
7 "customer_id": "string",
8 "customer": {
9 "object_type": "string",
10 "id": "string",
11 "created_at": "string",
12 "parent_customer_id": "string",
13 "parent_customer_ids": [
14 "string"
15 ],
16 "reference": "string",
17 "status": "DRAFT",
18 "timezone": "string",
19 "type": "ORGANIZATION",
20 "email": "string",
21 "notification_preferences": [
22 {
23 "type": "INVOICE",
24 "channels": [
25 {
26 "type": "EMAIL",
27 "enabled": true
28 }
29 ]
30 }
31 ],
32 "locale": "string",
33 "individual": {
34 "name": {
35 "first_name": "string",
36 "last_name": "string",
37 "infix": "string"
38 },
39 "residential_address": {
40 "line1": "string",
41 "line2": "string",
42 "city": "string",
43 "postal_code": "string",
44 "state": "string",
45 "country": "AD"
46 }
47 },
48 "organization": {
49 "legal_name": "string",
50 "tax_id": "string",
51 "tax_ids": [
52 {
53 "id": "string",
54 "type": "GENERIC_TAX_ID",
55 "display_name": "string",
56 "tax_id_validation_result": {
57 "id": "string",
58 "validation_date": "string",
59 "source": "string",
60 "valid": "VALID",
61 "message": "string"
62 }
63 }
64 ],
65 "registration_number": "string",
66 "tax_exempt": true,
67 "tax_exempt_note": "string",
68 "registered_address": {
69 "line1": "string",
70 "line2": "string",
71 "city": "string",
72 "postal_code": "string",
73 "state": "string",
74 "country": "AD"
75 },
76 "tax_registrations": [
77 {
78 "id": "string",
79 "description": "string",
80 "tax_id": "string",
81 "tax_ids": [
82 {
83 "id": "string",
84 "type": "GENERIC_TAX_ID",
85 "display_name": "string",
86 "tax_id_validation_result": {
87 "id": "string",
88 "validation_date": "string",
89 "source": "string",
90 "valid": "VALID",
91 "message": "string"
92 }
93 }
94 ],
95 "registration_number": "string",
96 "registered_address": {
97 "line1": "string",
98 "line2": "string",
99 "city": "string",
100 "postal_code": "string",
101 "state": "string",
102 "country": "AD"
103 }
104 }
105 ]
106 },
107 "custom_fields": [
108 {
109 "id": "string",
110 "reference": "string",
111 "value": "string",
112 "values": [
113 "string"
114 ],
115 "integration_details": {
116 "id": "string",
117 "reference": "string",
118 "payment_gateway_variant": "ADYEN",
119 "adyen": {
120 "recurring_detail_reference": "string"
121 },
122 "stripe": {
123 "payment_method_id": "string"
124 }
125 }
126 }
127 ],
128 "processing_only": true,
129 "pricing_plan_subscription_selector": {
130 "data": [
131 {
132 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
133 "value": "string"
134 }
135 ],
136 "rules": [
137 {
138 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
139 "type": "EQUALS"
140 }
141 ],
142 "filters": [
143 {
144 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
145 "type": "EQUALS",
146 "value": "string"
147 }
148 ],
149 "fallback": "LATEST"
150 },
151 "linked_integrations": [
152 {
153 "id": "string",
154 "link_details": [
155 {
156 "url": "string",
157 "custom_field_name": "string"
158 }
159 ]
160 }
161 ],
162 "roles": [
163 "DEFAULT"
164 ],
165 "seller_details": {
166 "default_billing_entity_id": "string"
167 }
168 },
169 "reference": "string",
170 "description": "string",
171 "statement_descriptor": "string",
172 "payment_method_id": "string",
173 "payment_method": {
174 "object_type": "string",
175 "id": "string",
176 "created_at": "string",
177 "reference": "string",
178 "status": "SETUP",
179 "type": "CARD",
180 "card": {
181 "brand": "ACCEL",
182 "name": "string",
183 "expiry_date": {
184 "expiry_month": 1,
185 "expiry_year": 1
186 },
187 "last_four_digits": "string",
188 "country": "string"
189 },
190 "online_banking": {
191 "variant": "string",
192 "owner_name": "string",
193 "iban": "string",
194 "bic": "string",
195 "country": "AD"
196 },
197 "buy_now_pay_later": {
198 "variant": "string"
199 },
200 "direct_debit": {
201 "variant": "string",
202 "owner_name": "string",
203 "iban": "string",
204 "bic": "string",
205 "country": "AD"
206 },
207 "digital_wallet": {
208 "variant": "string"
209 },
210 "customer_id": "string",
211 "integration_id": "string",
212 "integration_reference": "string",
213 "integration_details": {
214 "id": "string",
215 "reference": "string",
216 "payment_gateway_variant": "ADYEN",
217 "adyen": {
218 "recurring_detail_reference": "string"
219 },
220 "stripe": {
221 "payment_method_id": "string"
222 }
223 },
224 "billing_address": {
225 "line1": "string",
226 "line2": "string",
227 "city": "string",
228 "postal_code": "string",
229 "state": "string",
230 "country": "AD"
231 },
232 "is_default": true
233 },
234 "billing_entity_id": "string",
235 "dunning": {
236 "enabled": true
237 },
238 "payment_method_fallback": {
239 "enabled": true,
240 "payment_method_ids": [
241 "string"
242 ]
243 },
244 "type": "INSTALLMENTS",
245 "installments": {
246 "total_amount": {
247 "quantity": "string",
248 "currency": "AED"
249 },
250 "variant": "INTERVAL",
251 "number_of_installments": 1,
252 "interval": {
253 "start_at": "2024-01-15T09:30:00Z",
254 "period": {
255 "type": "DAY",
256 "value": 1
257 },
258 "charges": [
259 {
260 "charge_at": "2024-01-15T09:30:00Z",
261 "amount": {
262 "quantity": "string",
263 "currency": "AED"
264 }
265 }
266 ]
267 },
268 "fixed": {
269 "charges": [
270 {
271 "charge_at": "2024-01-15T09:30:00Z",
272 "amount": {
273 "quantity": "string",
274 "currency": "AED"
275 }
276 }
277 ]
278 }
279 },
280 "recurring": {
281 "charge": {
282 "charge_at": "2024-01-15T09:30:00Z",
283 "amount": {
284 "quantity": "string",
285 "currency": "AED"
286 }
287 },
288 "start_at": "2024-01-15T09:30:00Z",
289 "end_at": "2024-01-15T09:30:00Z",
290 "period": {
291 "type": "DAY",
292 "value": 1
293 }
294 },
295 "one_off": {
296 "charge": {
297 "charge_at": "2024-01-15T09:30:00Z",
298 "amount": {
299 "quantity": "string",
300 "currency": "AED"
301 }
302 }
303 },
304 "seller_details": {
305 "seller_customer_id": "string"
306 }
307}

Requires the PAYMENT_SCHEDULE.CREATE permission.

Was this page helpful?
Previous

Initialize resources for a payment schedule

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstringRequired
Resource ID of type CUSTOMER
referencestringRequiredformat: "^\S+$"0-256 characters
payment_method_idstringRequired

Resource ID of type PAYMENT_METHOD

billing_entity_idstringRequired

Resource ID of type BILLING_ENTITY

typeenumRequired
Allowed values:
customerobject or nullOptional
descriptionstring or nullOptional
statement_descriptorstring or nullOptional
payment_methodobject or nullOptional
dunningobjectOptional
payment_method_fallbackobjectOptional
installmentsobjectOptional
recurringobjectOptional
one_offobjectOptional
seller_detailsobjectOptional

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
statusenum or nullRead-only
Allowed values:
customer_idstring
Resource ID of type CUSTOMER
customerobject or null
referencestringformat: "^\S+$"0-256 characters
descriptionstring or null
statement_descriptorstring or null
payment_method_idstring

Resource ID of type PAYMENT_METHOD

payment_methodobject or null
billing_entity_idstring

Resource ID of type BILLING_ENTITY

dunningobject
payment_method_fallbackobject
typeenum
Allowed values:
installmentsobject
recurringobject
one_offobject
seller_detailsobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error